> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List sources

List all sources for an organization, optionally filtered by status.

` GET /sources `

List sources

List all sources for an organization, optionally filtered by status.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` org_id ` (query, optional)

Organization ID

- ` value `: type ` string ` — Organization ID

### ` env_id ` (query, optional)

Environment ID

- ` value `: type ` string ` — Environment ID

### ` status ` (query, optional)

Filter by status

- ` value `: type ` string ` — Filter by status

  - enum: ` ["active","paused","disabled"] `

## Responses

### ` 200 ` — List of sources

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` sources `

  - ` sources `: type ` array `

    - ` array item `: type ` object `; nullable

      - Required fields: ` id `, ` org_id `, ` env_id `, ` slug `, ` name `, ` description `, ` template `, ` verification_enabled `, ` verification_type `, ` verification_secret `, ` verification_header `, ` verification_config `, ` dedup_enabled `, ` dedup_strategy `, ` dedup_field `, ` dedup_window_seconds `, ` ip_allowlist `, ` ip_denylist `, ` status `, ` event_count `, ` last_event_at `, ` created_at `, ` updated_at `, ` is_ephemeral `, ` expires_at `, ` request_limit `, ` type `, ` source_config `, ` schema_validation_enabled `, ` json_schema `, ` schema_action `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` slug `: type ` string `

      - ` name `: type ` string `

      - ` description `: type ` string `; nullable

      - ` template `: type ` string `; nullable

      - ` verification_enabled `: type ` integer `

      - ` verification_type `: type ` string `; nullable

      - ` verification_secret `: type ` string `; nullable

      - ` verification_header `: type ` string `; nullable

      - ` verification_config `: type ` string `; nullable

      - ` dedup_enabled `: type ` integer `

      - ` dedup_strategy `: type ` string `; nullable

      - ` dedup_field `: type ` string `; nullable

      - ` dedup_window_seconds `: type ` integer `

      - ` ip_allowlist `: type ` string `; nullable

      - ` ip_denylist `: type ` string `; nullable

      - ` status `: type ` string `

      - ` event_count `: type ` integer `

      - ` last_event_at `: type ` string `; nullable

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

      - ` is_ephemeral `: type ` integer `

      - ` expires_at `: type ` string `; nullable

      - ` request_limit `: type ` integer `; nullable

      - ` type `: type ` string `

      - ` source_config `: type ` string `; nullable

      - ` schema_validation_enabled `: type ` integer `

      - ` json_schema `: type ` string `; nullable

      - ` schema_action `: type ` string `; nullable

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/sources' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/sources', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/sources', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/sources", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```